Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034805
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementmajoralways2016-12-22 09:412017-05-29 17:43
ReporterpsanjuanView Statuspublic 
Assigned Tocollazoandy4 
PriorityurgentResolutionfixedFixed in Version3.0PR17Q3
StatusclosedFix in branchFixed in SCM revisionbd98803e01b5
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionCommunity ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034805: Operative Quantity needs to be updated to 0 same as Ordered/Return quanity if the corresponding order is closed (not delivered)

DescriptionOperative Quantity needs to be updated to 0 same as Ordered/Return quanity if the corresponding order is closed (not delivered)
Steps To ReproduceEnable "Enable UOM Management" preference.

Go to Unit of Measure window and create a new UOM with below setup:
Edi Code = PA
Name = Pallet
Standard Precision = 2

Go to Product window and create a new one for F&B España with below setup:
Search key = Product 1
Name = Product 1
Go to price tab and select "Tarifa Bebidas Alegres" business partner.
Enter a unit price and a list price.
Go to Alternate UOM.
Enter Pallet, Conversion Rate = 10, Sales = Purchase = Primary. Logistics = Not applicable.
Save it.

Go to purchase order window and create one order for F&B España, Bebidas Alegres business partner, dated on today's date.
Go to lines and select Product 1.
Enter 55 in the field Operative Quantity.
Book the order
Close the order and verify that Ordered quantity changes to 0 Unit.

Run Purchase Order Report for Bebidas Alegres business partner and for today's date, in HTML.

Verify that close purchase order is shown as Qty IN AUM remains as 55 and that should not be the case.

Same applies in the case of a Sales order including a product having an alternative UOM. Same way if that sales order is not delivered but closed "Operative Quanity" does not change to 0

Same applies to:
Return to Vendor
Return from Customer
Proposed SolutionIf a not delivered order is closed same way that Ordered/Returm Quantity field is changed to 0, Operative Quantity should also be changed to 0.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on backport 00356923.0PR17Q2 closedcollazoandy4 Operative Quantity needs to be updated to 0 same as Ordered/Return quanity if the corresponding order is closed (not delivered) 
depends on backport 00356933.0PR17Q1.1 closedcollazoandy4 Operative Quantity needs to be updated to 0 same as Ordered/Return quanity if the corresponding order is closed (not delivered) 
related to defect 0035697 closedcollazoandy4 Return qty not properly updated in a return to vendor partially delivered 
related to defect 0034784 closedcollazoandy4 Return Material Receipt is not properly managing Pending and Receiving quanitties if Alternative UOM is used 

-  Notes
(0092990)
nonofrancisco (developer)
2016-12-23 21:18
edited on: 2017-01-03 10:07

Test Plan

1.- Enable "Enable UOM Management" preference at System level.

2.- Log as F&B International Group Admin
  Go to Unit of Measure window and create a new UOM with below setup:
  Edi Code = PA
  Name = Pallet
  Standard Precision = 2

3.- Go to Product window and create a new one for F&B España with below setup:
  Search key = Product 1
  Name = Product 1
  Go to price tab and select "Tarifa Bebidas Alegres" .
    Enter a unit price and a list price.
    Select also "Tarifa de ventas" and enter a unit price and a list price.
  Go to Alternate UOM.
    Enter Pallet, Conversion Rate = 10, Sales = Purchase = Primary. Logistics = Not applicable.
Save it.

4.- Go to purchase order window and create one order for F&B España, Bebidas Alegres business partner, dated on today's date.
  Go to lines and select Product 1.
    Enter 55 in the field Operative Quantity.
Book the order
Close the order
Verify that Ordered quantity = Operative Quantity = 0
Run Purchase Order Report for Bebidas Alegres business partner and for today's date, in HTML.
Verify that close purchase order is shown Ordered quantity = Operative Quantity = 0.

5.- Go to Goods Receipt window and create a new one for F&B España with below setup:
  BP: Bebidas Alegres, S.L.
  Go to the Lines tab and create a new one
    Product: Product 1
    Operative Quantity: 100
Complete de document

6.- Create a new Return To Vendor document for F&B España:
  BP: Bebidas Alegres, S.L.
  Add a line containing Product 1 with some quantity
Book the document
Close the document
Verify that Return = Operative Quantity = 0

7.- Create a new Sales Order for F&B España:
  BP: Alimentos y Supermercados, S.A
  Add a new Line
    Product: Product 1
    Operative Quantity: 10
Book the order

8.- Create a goods shipment based on the previous sales order.
9.- Create a new Return from Customer document for F&B España:
  BP: Alimentos y Supermercados, S.A
  Add a new line for Product 1 and some quantity
Book the document
Close the document
Verify that Returned quantity = Operative Quantity = 0.

(0093116)
psanjuan (manager)
2017-01-03 10:06
edited on: 2017-01-03 10:12

Test Case 1 - Purchase Order Close (not delivered)

Go to Product window and create a new one for F&B España with below setup:
Search key = Product 1
Name = Product 1
Go to price tab and select "Tarifa Bebidas Alegres" business partner.
Enter a unit price and a list price.
Go to Alternate UOM.
Enter Pallet, Conversion Rate = 10, Sales = Purchase = Primary. Logistics = Not applicable.
Save it.

Go to purchase order window and create one order for F&B España, Bebidas Alegres business partner, dated on today's date.
Go to lines and select Product 1.
Enter 55 in the field Operative Quantity.
Book the order
Close the order and verify that "Operative Quantity" and "Ordered quantity" change to 0 Unit.

Run Purchase Order Report for Bebidas Alegres business partner and for today's date, in HTML.

Verify that close purchase order shows Quantity = Qty in AUM = 0

Repeat same test case as above but this time receipt part of the order in a Goods Receipt. Close the order.
Verify that "Operative Quantity" (in AUM) and "Ordered Quantity" (In BUM) changes just to the quantity receipt.

(0093117)
psanjuan (manager)
2017-01-03 10:11
edited on: 2017-01-03 10:13

Test Case 2 - Sales Order Close (not delivered)

Go to sales order window and create one order for F&B España, Alimentos y supermercados business partner, dated on today's date.
Go to lines and select Product 1.
Enter 55 in the field Operative Quantity.
Book the order
Close the order and verify that "Operative Quantity" and "Ordered quantity" change to 0 Unit.

Run Sales Order Report for Alimentos y supermercados business partner and for today's date, in HTML.

Verify that close sales order shows Quantity = Quantity in AUM = 0

Repeat same test case as above but this time ship part of the order in a Goods Shipment. Close the order.
Verify that "Operative Quantity" (in AUM) and "Ordered Quantity" (In BUM) changes just to the quantity shipped.

(0093118)
psanjuan (manager)
2017-01-03 10:20
edited on: 2017-01-03 12:30

Test Case 3 - Return to Vendor Not delivered.

Go to Goods Receipt window and create a new one for F&B España with below setup:
BP: Bebidas Alegres, S.L.
Go to the Lines tab and create a new one
Product: Product 1
Operative Quantity: 50 (pallets)
Complete de document

Go to Return to Vendor window and create a new one for F&B España, Bebidas Alegres business partner. Click on Pick/Edit Lines.
Select the receipt just created showing 500 units and 50 pallets. Enter a Returned quantity = 10 (pallets), 100 units. Press Done.

Book the document.
Press Close.

Verify that Operative Quanity and Return are updated to 0.


Test Case 4 - Return to Vendor partially delivered.

Go to Return to Vendor window and create another new one for F&B España, Bebidas Alegres business partner. Click on Pick/Edit Lines.
Select the receipt just created showing 500 units and 50 pallets. Enter a Returned quantity = 10 (pallets), 100 units. Press Done.

Book the document. RTV Order 9

Go to Return to Vendor Shipment window and create a new one for F&B España, Bebidas Alegres Business partner. Click on Pick/Edit Lines.

Select the RM order just created, enter a ship Qty = 25. Press Done.

Verify that Operative Quantity = Movement Qty = 25
and Alternative UOM = UOM = Unit

Complete return to vendor shipment.

Go to back to Return to Vendor and close it.
Verify that Operative Quantity = 0 and Return = 0 but that is not correct.

Operative Quantity = 2.5 pallets.
Return = 25 (units)

Test Case 5 - Return to Vendor partially delivered. Returned UOM changed to Pallet

Go to Return to Vendor window and create another new one for F&B España, Bebidas Alegres business partner. Click on Pick/Edit Lines.
Select the receipt just created showing 500 units and 50 pallets. Enter a Returned quantity = 10 (pallets), 100 units. Press Done.

Book the document. RTV Order 10

Go to Return to Vendor Shipment window and create a new one for F&B España, Bebidas Alegres Business partner. Click on Pick/Edit Lines.

Select the RM order just created, enter a ship Qty = 1.5, and change Returned UOM to Pallet. Press Done.

Verify that Operative Quantity = 1.5
Alternative UOM = Pallet
Movement Qty = 15
UOM = Unit

Complete return to vendor shipment.

Go to back to Return to Vendor and close it.
Verify that Operative Quantity = 0 and Return = 0 but that is not correct.

Operative Quantity = 1.5 pallets.
Return = 15 (units)

(0093119)
psanjuan (manager)
2017-01-03 10:34
edited on: 2017-01-27 12:46

Test Case 6 - Return from Customer Not delivered.

Go to Sales order window and create a new one for F&B España, Alimentos y Supermercados.
Go to lines and select Product 1. Enter an operative qty= 15 (Pallet).
Book the order.

Go to Goods Shipment window and create a new one for F&B España, Alimentos y Supermercados. Use Create Lines From.
Select the order, enter an storage bin and select all the lines. Press OK.

Complete the shipment. Write down shipment number 224

Go to Return from Customer window and create a new one for F&B España, Alimentos y Supermercados business partner. Click on Pick/Edit Lines.
Select the shipment just created 224, showing 150 units and 15 pallets. Enter a Returned quantity = 10 (pallets), 100 units. Press Done.

Book the document.
Press Close.

Verify that Operative Quanity and Return are updated to 0.


Test Case 7 - Return from Customer partially delivered.

Go to Return from Customer window and create a new one for F&B España, Bebidas Alegres business partner. Click on Pick/Edit Lines.
Select the shipment just created 224, showing 150 units and 15 pallets. Enter a Returned quantity = 10 (pallets), 100 units. Press Done.

Book the document. Write down RFC number 8.

Go to Return Material Receipt window window and create a new one for F&B España, Bebidas Alegres Business partner. Click on Pick/Edit Lines.

Select the RM order just created, number 8.
Verify Pending = Receiving = 10 O
Returned UM = Pallet.

Change Receiving field to 5. Press Done.
Complete the document.

Go to back to Return from Customer 8 and close it.
Verify that Operative Quantity = 5 pallets.
Return = 50 (units)
This is correct.

(0093168)
psanjuan (manager)
2017-01-04 11:51

Fix need to be backported to 17Q1
(0093882)
psanjuan (manager)
2017-01-27 12:32
edited on: 2017-01-27 12:46

For the full test of this issue, mainly the part related a sales returns, I have need to get install fix of issue related 34784. See next test case 8.

Test Case 8 - Return from Customer (partially delivered) - Change to 0.5 units.

Create a Goods Shipment for F&B España, Alimentos y Supermercados business partner, for the product. Enter 50 Pallets (500 Units). Complete the shipment.

Go to Return from Customer window and create a new one for F&B España, Alimentos y Supermercados business partner. Click on Pick/Edit Lines and select the shipment. Enter 5 Pallets to be returned. Press OK and Book the order.

(Having 34872 fix applied) go to Return Material Receipt window and create a new one for F&B España, Alimentos y Supermercados business partner.
Click on Pick/Edit lines and select the just created RFC Order. Change Qty to 0.5 and to Units. Press OK.

Check that Return Material Receipt line is not properly created as Operative Quantity = 0.5 (pallet) same as Movement Quantity = 0.5 (units.)

Operative Quantity should have been = 0.05 (pallets).

Complete the document.

Go back to RFC order and close it.
Verify that Operative Quantity is updated to 0.05 which is correct and movement quantity ) 0.5 Units which is also correct.

(0093883)
psanjuan (manager)
2017-01-27 12:47

Test Plan above verified.
Issue can be code reviewed and close.
(0095828)
hgbot (developer)
2017-04-04 19:11

Repository: erp/devel/pi
Changeset: bd98803e01b5a17761d568dfcaafdc2d52d6dad8
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Fri Mar 31 13:58:32 2017 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/bd98803e01b5a17761d568dfcaafdc2d52d6dad8 [^]

Fixes issue 34805: Operative quantity should be updated when document is closed

When a Purchase Order/Return From Customer/Return to Vendor document is closed,
the Operative Quantity field is updated to the corresponding value, according to
the Product, Quantity and Aum of the line.

---
M src-db/database/model/functions/C_ORDER_POST1.xml
---
(0095830)
aferraz (developer)
2017-04-04 19:13

Code review + Testing OK
(0096863)
hudsonbot (developer)
2017-05-29 17:43

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1ee70113bdc4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-12-22 09:41 psanjuan New Issue
2016-12-22 09:41 psanjuan Assigned To => Triage Finance
2016-12-22 09:41 psanjuan Modules => Core
2016-12-22 09:41 psanjuan Triggers an Emergency Pack => No
2016-12-22 09:44 psanjuan Steps to Reproduce Updated View Revisions
2016-12-22 09:49 psanjuan Steps to Reproduce Updated View Revisions
2016-12-22 09:55 psanjuan Steps to Reproduce Updated View Revisions
2016-12-22 09:55 psanjuan Proposed Solution updated
2016-12-22 09:57 psanjuan Steps to Reproduce Updated View Revisions
2016-12-22 10:07 psanjuan Summary Some reports info is not correct if an order including a product with an alternative UOM is closed => Operative Quantity needs to be updated to 0 same as Ordered/Return quanity if the corresponding order is closed (not delivered)
2016-12-22 10:07 psanjuan Description Updated View Revisions
2016-12-22 10:07 psanjuan Steps to Reproduce Updated View Revisions
2016-12-22 10:07 psanjuan Proposed Solution updated
2016-12-22 18:05 markmm82 Assigned To Triage Finance => rqueralta
2016-12-23 16:26 nonofrancisco Assigned To rqueralta => nonofrancisco
2016-12-23 16:29 nonofrancisco Status new => scheduled
2016-12-23 21:18 nonofrancisco Note Added: 0092990
2017-01-03 10:06 psanjuan Note Added: 0093116
2017-01-03 10:07 psanjuan Note Edited: 0092990 View Revisions
2017-01-03 10:09 psanjuan Note Edited: 0093116 View Revisions
2017-01-03 10:11 psanjuan Note Added: 0093117
2017-01-03 10:12 psanjuan Note Edited: 0093116 View Revisions
2017-01-03 10:13 psanjuan Note Edited: 0093117 View Revisions
2017-01-03 10:20 psanjuan Note Added: 0093118
2017-01-03 10:26 psanjuan Note Edited: 0093118 View Revisions
2017-01-03 10:28 psanjuan Note Edited: 0093118 View Revisions
2017-01-03 10:34 psanjuan Note Added: 0093119
2017-01-03 10:50 psanjuan Note Edited: 0093118 View Revisions
2017-01-03 12:29 psanjuan Note Edited: 0093118 View Revisions
2017-01-03 12:30 psanjuan Note Edited: 0093118 View Revisions
2017-01-03 12:36 psanjuan Note Edited: 0093119 View Revisions
2017-01-03 14:03 psanjuan Note Edited: 0093119 View Revisions
2017-01-04 11:51 psanjuan Note Added: 0093168
2017-01-27 12:32 psanjuan Relationship added related to 0034784
2017-01-27 12:32 psanjuan Note Added: 0093882
2017-01-27 12:34 psanjuan Note Edited: 0093119 View Revisions
2017-01-27 12:42 psanjuan Note Edited: 0093119 View Revisions
2017-01-27 12:45 psanjuan Note Edited: 0093119 View Revisions
2017-01-27 12:46 psanjuan Note Edited: 0093119 View Revisions
2017-01-27 12:46 psanjuan Note Edited: 0093882 View Revisions
2017-01-27 12:47 psanjuan Note Added: 0093883
2017-03-30 18:04 aferraz Relationship deleted related to 0034784
2017-03-30 18:04 aferraz Relationship added depends on 0034784
2017-03-31 20:32 collazoandy4 Assigned To nonofrancisco => collazoandy4
2017-04-04 17:24 aferraz Status scheduled => feedback
2017-04-04 17:25 aferraz Status feedback => scheduled
2017-04-04 19:11 hgbot Checkin
2017-04-04 19:11 hgbot Note Added: 0095828
2017-04-04 19:11 hgbot Status scheduled => resolved
2017-04-04 19:11 hgbot Resolution open => fixed
2017-04-04 19:11 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/bd98803e01b5a17761d568dfcaafdc2d52d6dad8 [^]
2017-04-04 19:13 aferraz Review Assigned To => aferraz
2017-04-04 19:13 aferraz Note Added: 0095830
2017-04-04 19:13 aferraz Status resolved => closed
2017-04-04 19:13 aferraz Fixed in Version => 3.0PR17Q3
2017-04-04 21:01 collazoandy4 Relationship added related to 0035697
2017-04-06 19:57 aferraz Relationship deleted depends on 0034784
2017-04-06 19:57 aferraz Relationship added related to 0034784
2017-05-29 17:43 hudsonbot Checkin
2017-05-29 17:43 hudsonbot Note Added: 0096863


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker